<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ProductMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $product = null;
    


    protected $businessOwnerJid = null;
    


    protected $catalog = null;
    


    protected $body = null;
    


    protected $footer = null;
    


    protected $contextInfo = null;

    













    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getProduct()
    {
        return $this->product;
    }

    public function hasProduct()
    {
        return isset($this->product);
    }

    public function clearProduct()
    {
        unset($this->product);
    }

    




    public function setProduct($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\ProductMessage\ProductSnapshot::class);
        $this->product = $var;

        return $this;
    }

    



    public function getBusinessOwnerJid()
    {
        return isset($this->businessOwnerJid) ? $this->businessOwnerJid : '';
    }

    public function hasBusinessOwnerJid()
    {
        return isset($this->businessOwnerJid);
    }

    public function clearBusinessOwnerJid()
    {
        unset($this->businessOwnerJid);
    }

    




    public function setBusinessOwnerJid($var)
    {
        GPBUtil::checkString($var, True);
        $this->businessOwnerJid = $var;

        return $this;
    }

    



    public function getCatalog()
    {
        return $this->catalog;
    }

    public function hasCatalog()
    {
        return isset($this->catalog);
    }

    public function clearCatalog()
    {
        unset($this->catalog);
    }

    




    public function setCatalog($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\ProductMessage\CatalogSnapshot::class);
        $this->catalog = $var;

        return $this;
    }

    



    public function getBody()
    {
        return isset($this->body) ? $this->body : '';
    }

    public function hasBody()
    {
        return isset($this->body);
    }

    public function clearBody()
    {
        unset($this->body);
    }

    




    public function setBody($var)
    {
        GPBUtil::checkString($var, True);
        $this->body = $var;

        return $this;
    }

    



    public function getFooter()
    {
        return isset($this->footer) ? $this->footer : '';
    }

    public function hasFooter()
    {
        return isset($this->footer);
    }

    public function clearFooter()
    {
        unset($this->footer);
    }

    




    public function setFooter($var)
    {
        GPBUtil::checkString($var, True);
        $this->footer = $var;

        return $this;
    }

    



    public function getContextInfo()
    {
        return $this->contextInfo;
    }

    public function hasContextInfo()
    {
        return isset($this->contextInfo);
    }

    public function clearContextInfo()
    {
        unset($this->contextInfo);
    }

    




    public function setContextInfo($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\ContextInfo::class);
        $this->contextInfo = $var;

        return $this;
    }

}

